%define Werror_cflags %nil


Name:		inkscape
Summary:	A vector-based drawing program using SVG
Summary(de):	Ein vektorbasiertes Zeichenprogramm, dass SVG nutzt
Version:	0.92.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphics
URL:		http://inkscape.sourceforge.net/
Source:		%{name}-%{version}.tar.xz
Source1:	%{name}-icons.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#--------------------------------------------
BuildRequires: intltool
BuildRequires: %{_lib}aspell-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}atkmm1.6-devel
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}cairomm1.0-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gc-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}glibmm2.4-devel
BuildRequires: %{_lib}gnome-vfs2-devel
BuildRequires: %{_lib}gsl-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtkmm2.4-devel
BuildRequires: %{_lib}gtkspell-devel
BuildRequires: %{_lib}lcms2-devel
BuildRequires: %{_lib}magick-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}pangomm2.4-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}poppler-devel
BuildRequires: %{_lib}poppler-glib-devel
BuildRequires: %{_lib}popt-devel
BuildRequires: %{_lib}sigc++2.0_0-devel
BuildRequires: %{_lib}wpd-devel
BuildRequires: %{_lib}wpg-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xslt-devel
BuildRequires: libgomp-devel
BuildRequires: desktop-file-utils
BuildRequires: libpthread-stubs
#--------------------------------------------
Requires: python-lxml
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes:  	%name < %version


%description
Inkscape is a SVG based generic vector-drawing program.

Inkscape uses W3C SVG as its native file format. It is therefore a very useful
tool for web designers and as an interchange format for desktop publishing.

%description -l de
Inkscape ist ein SVG basiertes generisches Vektorzeichenprogramm.

Inkscape nutzt W3C SVG als natives Dateiformat. Es ist deshalb ein sehr 
nützliches Werkzeug für Webdesigner und als Austauschformat für das 
Publizieren auf verschiedenen Desktops.

%prep
%setup -q -a1

%build
./autogen.sh

export LDFLAGS=' -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags'

%configure2_5x \
	--with-python \
	--with-perl
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-Mandriva-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
install -D -m 644 %{name}-48.png %{buildroot}/%_liconsdir/%{name}.png
install -D -m 644 %{name}-32.png %{buildroot}/%_iconsdir/%{name}.png
install -D -m 644 %{name}-16.png %{buildroot}/%_miconsdir/%{name}.png
install -D -m 644 %{name}-48.png %{buildroot}/%_datadir/pixmaps/%{name}.png

%find_lang %{name}


%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/inkscape/
%{_mandir}
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_datadir}/icons/hicolor/*/apps/inkscape.png
%{_datadir}/appdata/inkscape.appdata.xml

%changelog
* Sun Jan 08 2017 adrianomorselli <adrianomorselli> 0.92.0-1uplos 2017
- rebuild

* Thu Jan 05 2017 bb <bb> 0.92.0-1pclos2017
- new version

* Thu Jan 05 2017 bb <bb> 0.91-6pclos2017
- rebuild for new gsl

* Fri Oct 28 2016 bb <bb> 0.91-5pclos2016
- rebuild against updated libs

* Mon May 09 2016 bb <bb> 0.91-4pclos2016
- rebuild for new imagemagick

* Sat Aug 29 2015 ghostbunny <ghostbunny at gmx dot de> 0.91-3pclos2015
- rebuild against new poppler version


